Google Gears maintenance isn’t a priority for Google

The recent Firefox 3.6 update made me re-examine my add-ons as always. What struck me as odd was that Google Gears wasn’t compatible. Clearly that was a mistake. Google couldn’t possibly ignore the chosen browser of most of the tech elite.

It’s not totally ignored no. Indeed there’s a ticket for the problem. It has a Medium priority. Medium? Not working with Firefox isn’t that important?

That got me thinking. The last time I checked, the latest Safari in Snow Leopard wasn’t supported. Still true. Also has a Medium priority.

So, it’s not supported on Safari in Snow Leopard, the latest Firefox, or Chrome for Mac OS X. That leaves… nothing. No Snow Leopard support using the latest browsers.

There’s two conclusions. First, Google Gears isn’t a priority for Google. Second, Mac OS X support isn’t a priority for Google. Take your pick.

Edit: Turns out that I missed the Google announcement that Gears was effectively dead in favor of HTML5’s storage capability. While a move to a standard is good, nowhere on Google’s Gears site does it mention this fact. Indeed this fact probably makes all non-security Gears tickets a “WONT-FIX” but it’s very poorly being communicated and does nothing to address the fact that today’s sites with offline capabilities still use Gears.

In order to get any satisfaction as a Snow Leopard user, you’ll need to download Firefox 3.5.x. That’s a little backward.

Update: Finally, some kind of acknowledgement.

Short link: http://l.derik.us/d

About Derik

Technology commentator, software engineer, stud-muffin.
This entry was posted in Technology. Bookmark the permalink.